Debian Security Advisory

DSA-667-1 squid -- several vulnerabilities

Date Reported:
04 Feb 2005
Affected Packages:
Security database references:
In Mitre's CVE dictionary: CVE-2005-0173, CVE-2005-0175, CVE-2005-0194, CVE-2005-0211.
CERT's vulnerabilities, advisories and incident notes: VU#924198, VU#625878, VU#886006.
More information:

Several vulnerabilities have been discovered in Squid, the internet object cache, the popular WWW proxy cache. The Common Vulnerabilities and Exposures project identifies the following vulnerabilities:

  • CAN-2005-0173

    LDAP is very forgiving about spaces in search filters and this could be abused to log in using several variants of the login name, possibly bypassing explicit access controls or confusing accounting.

  • CAN-2005-0175

    Cache pollution/poisoning via HTTP response splitting has been discovered.

  • CAN-2005-0194

    The meaning of the access controls becomes somewhat confusing if any of the referenced ACLs (access control lists) is declared empty, without any members.

  • CAN-2005-0211

    The length argument of the WCCP recvfrom() call is larger than it should be. An attacker may send a larger than normal WCCP packet that could overflow a buffer.

For the stable distribution (woody) these problems have been fixed in version 2.4.6-2woody6.

For the unstable distribution (sid) these problems have been fixed in version 2.5.7-7.

We recommend that you upgrade your squid package.

Fixed in:

Debian GNU/Linux 3.0 (woody)

Intel IA-32:
Intel IA-64:
Motorola 680x0:
Big endian MIPS:
Little endian MIPS:
IBM S/390:
Sun Sparc:

MD5 checksums of the listed files are available in the original advisory.